websocket-sharp System.Object System.IDisposable Provides access to a response to a request being processed by a instance. The HttpListenerResponse class cannot be inherited.
- Method
  System.Void Closes the connection to the client without sending a response. To be added.
- Method
  System.Void `` `` A that contains the name of the HTTP header to add. A that contains the value of the HTTP header to add. Adds the specified HTTP header and to the headers for this response. To be added. is or . The length of is greater than 65,535 characters.
- Method
  System.Void `` A to add to the . Adds the specified to the sent with the response. To be added. is .
- Method
  System.Void `` `` A that contains the name of the HTTP header to append to. A that contains the value to append to the HTTP header. Appends a to the specified HTTP header sent with the response. To be added. is or . The length of is greater than 65,535 characters.
- Method
  System.Void Sends the response to the client and releases the resources associated with the instance. To be added.
- Method
  System.Void `` `` An array of that contains the response entity body data. true if this method blocks execution while flushing the stream to the client; otherwise, false. Sends the response with the specified array of to the client and releases the resources associated with the instance. To be added. is . This object is closed.
- Property
  System.Text.Encoding Gets or sets the encoding that can be used with the entity body data included in the response. A that contains the encoding that can be used with the entity body data. To be added. This object is closed. The response has been sent already.
- Property
  System.Int64 Gets or sets the size of the entity body data included in the response. A that contains the value of the Content-Length entity-header field. The value is a number of bytes in the entity body data. To be added. This object is closed. The response has been sent already. The value specified for a set operation is less than zero.
- Property
  System.String Gets or sets the media type of the entity body included in the response. The type of the content. A that contains the value of the Content-Type entity-header field. To be added. This object is closed. The response has been sent already. The value specified for a set operation is . The value specified for a set operation is a .
- Property
  WebSocketSharp.Net.CookieCollection Gets or sets the cookies returned with the response. A that contains the cookies returned with the response. To be added.
- Method
  System.Void `` A to copy. Copies properties from the specified to this response. To be added.
- Property
  WebSocketSharp.Net.WebHeaderCollection Gets or sets the HTTP headers returned to the client. A that contains the HTTP headers returned to the client. To be added.
- Property
  System.Boolean Gets or sets a value indicating whether the server requests a persistent connection. true if the server requests a persistent connection; otherwise, false. The default is true. To be added. This object is closed. The response has been sent already.
- Property
  System.IO.Stream Gets a to use to write the entity body data. A to use to write the entity body data. To be added. This object is closed.
- Property
  System.Version Gets or sets the HTTP version used in the response. A that contains the HTTP version used in the response. To be added. This object is closed. The response has been sent already. The value specified for a set operation is . The value specified for a set operation does not have its Major property set to 1 or does not have its Minor property set to either 0 or 1.
- Method
  System.Void `` A that contains a URL to redirect the client's request to. Configures the response to redirect the client's request to the specified . To be added.
- Property
  System.String Gets or sets the URL to which the client is redirected to locate a requested resource. A that contains the value of the Location response-header field. To be added. This object is closed. The response has been sent already. The value specified for a set operation is a .
- Property
  System.Boolean Gets or sets a value indicating whether the response uses the chunked transfer encoding. true if the response uses the chunked transfer encoding; otherwise, false. To be added. This object is closed. The response has been sent already.
- Method
  System.Void `` A to set. Adds or updates a in the sent with the response. To be added. is . already exists in the and could not be replaced.
- Property
  System.Int32 Gets or sets the HTTP status code returned to the client. An that indicates the HTTP status code for the response to the request. The default is . To be added. This object is closed. The response has been sent already. The value specified for a set operation is invalid. Valid values are between 100 and 999.
- Property
  System.String Gets or sets a description of the HTTP status code returned to the client. A that contains a description of the HTTP status code returned to the client. To be added.
- Method
  System.Void Releases all resource used by the . To be added.